Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159129 - Call update-desktop-database from the %post and %postun for New MIME System
Summary: Call update-desktop-database from the %post and %postun for New MIME System
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: bmp
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ralf Ertzinger
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-30 12:21 UTC by sangu
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-22 13:57:48 UTC


Attachments (Terms of Use)

Description sangu 2005-05-30 12:21:16 UTC
Description of problem:
$ rpm -q --scripts bmp
postinstall program: /sbin/ldconfig
postuninstall program: /sbin/ldconfig


See Also : http://fedoraproject.org/wiki/NewMIMESystem

Version-Release number of selected component (if applicable):
bmp-0.9.7-7

How reproducible:
always

Steps to Reproduce:
1. rpm -ihv bmp
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Matthias Saou 2005-07-22 13:57:48 UTC
This is apparently fixed in the currently available FC-4 and devel packages :

$ rpm -q bmp
bmp-0.9.7-10.fc4
$ rpm -q --scripts bmp
postinstall scriptlet (using /bin/sh):
/sbin/ldconfig
update-desktop-database /usr/share/applications
postuninstall scriptlet (using /bin/sh):
/sbin/ldconfig
update-desktop-database /usr/share/applications



Note You need to log in before you can comment on or make changes to this bug.